## fcitx-kkc 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)

# The Project Name
project(fcitx-kkc)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
option(ENABLE_QT "Enable Qt for GUI configuration" On)

include(FindPkgConfig)
pkg_check_modules(LIBKKC "kkc-1.0>=0.2.3" REQUIRED)
find_package(Fcitx 4.2.8 REQUIRED)

if (ENABLE_QT)
find_package(Qt 4.8 REQUIRED)
pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED)
endif ()

if (NOT SKK_DEFAULT_PATH)
    set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L")
endif ()

# This will add a uninstall target. Comment out this line if other cmake packages
# you are using already provides such target (e.g. KDE).
_fcitx_add_uninstall_target()
include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories("${PROJECT_BINARY_DIR}")
include_directories(${LIBKKC_INCLUDE_DIRS})

link_directories(${LIBKKC_LIBRARY_DIRS})

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\"")

configure_file(config.h.in config.h
  IMMEDIATE @ONLY)

# The po dir (and targets, if any) should be added before any other translate
# related sources are processed.
add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(gui)
add_subdirectory(data)

=== debian/changelog ===
fcitx-kkc (0.1.1-0ubuntu11) vivid; urgency=medium

  * debian/patches/priority.patch: added for priority down.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Fri, 10 Apr 2015 23:32:13 +0900

fcitx-kkc (0.1.1-0ubuntu10) vivid; urgency=medium

  * /usr/share/fcitx/imicon/kkc.png is too big. make it small.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Mon, 30 Mar 2015 21:54:22 +0900

fcitx-kkc (0.1.1-0ubuntu9) vivid; urgency=medium

  * Rebuld for Vivid.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Sun, 15 Mar 2015 02:11:43 +0900

fcitx-kkc (0.1.1-0ubuntu8) trusty; urgency=medium

  * add libjson-glib-dev instead libglib2.0-dev to Build-Depends.
  * add libgee-0.8-dev to Build-Depends.
  * remove skkdic from Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 18:40:33 +0900

fcitx-kkc (0.1.1-0ubuntu7) trusty; urgency=medium

  * modify libkkc-dev (>=0.3.3) on Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 17:54:48 +0900

fcitx-kkc (0.1.1-0ubuntu6) trusty; urgency=medium

  * modify libkkc-dev (>=0.3.4) on Build-Depends.
  * add libglib2.0-dev to Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 17:31:33 +0900

fcitx-kkc (0.1.1-0ubuntu5) trusty; urgency=medium

  * add pkg-config to Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 17:29:48 +0900

fcitx-kkc (0.1.1-0ubuntu4) trusty; urgency=medium

  * add libqt4-dev to Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 17:25:20 +0900

fcitx-kkc (0.1.1-0ubuntu3) trusty; urgency=medium

  * add qt4-qmake to Build-Depends.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Tue, 16 Sep 2014 17:17:58 +0900

fcitx-kkc (0.1.1-0ubuntu2) trusty; urgency=low

  * Make lintian clean.
      Thanks to fcitx-anthy's debian/rules.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Sat, 09 Aug 2014 19:21:46 +0900

fcitx-kkc (0.1.1-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Ikuya Awashiro <ikuya@fruitsbasket.info>  Sat, 09 Aug 2014 19:21:46 +0900

=== debian/control ===
Source: fcitx-kkc
Section: utils
Priority: optional
Maintainer: Ikuya Awashiro <ikuya@fruitsbasket.info>
Build-Depends: debhelper (>= 9), cmake, gettext, intltool, libjson-glib-dev, pkg-config, libqt4-dev, fcitx-libs-dev (>= 1:4.2.8), fcitx-libs-qt (>= 1:4.2.8), libkkc-dev (>= 0.3.3), libgee-0.8-dev
Standards-Version: 3.9.5
Homepage: https://github.com/fcitx/fcitx-kkc

Package: fcitx-kkc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin (>=1:4.2.8), fcitx-data (>= 1:4.2.8), fcitx-modules, skkdic
Description: Fcitx wrapper for libkkc IM engine
 fcitx-kkc is a wrapper of libkkc IM engine for Fcitx.
 .
 libkkc is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
            -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	#cp -f $(CURDIR)/debian/kkc-32.png \
	#	$(CURDIR)/debian/fcitx-kkc/usr/share/fcitx/imicon/kkc.png
	mkdir -p $(CURDIR)/debian/fcitx-kkc/usr/share/icons/hicolor/32x32/apps
	cp -f $(CURDIR)/debian/kkc-32.png \
		$(CURDIR)/debian/fcitx-kkc/usr/share/icons/hicolor/32x32/apps/fcitx-kkc.png

=== debian/watch ===
version=3

http://download.fcitx-im.org/fcitx-kkc/fcitx-kkc-(.*)\.tar\.xz

## fcitx-kkc 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 endif ()
 
 if (NOT SKK_DEFAULT_PATH)
-    set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L")
+    set(SKK_DEFAULT_PATH "/usr/share/skk/")
 endif ()
 
 # This will add a uninstall target. Comment out this line if other cmake packages

=== data/CMakeLists.txt ===
install(FILES kkc.png DESTINATION share/icons/hicolor/64x64/apps RENAME fcitx-kkc.png)
install(FILES kkc.png DESTINATION share/fcitx/imicon)

=== gui/CMakeLists.txt ===
set(KKC_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  shortcutmodel.cpp
  shortcutwidget.cpp
  rulemodel.cpp
  addshortcutdialog.cpp
  )
fcitx_translate_add_sources(
  ${KKC_CONFIG_SRCS})

if(NOT ENABLE_QT)
  return()
endif()

include_directories(
  ${FCITX_QT_INCLUDE_DIRS}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

link_directories(
  ${FCITX_QT_LIBRARY_DIRS}
  ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
  )
qt4_wrap_ui(KKC_CONFIG_SRCS dictwidget.ui adddictdialog.ui shortcutwidget.ui addshortcutdialog.ui)
add_library(fcitx-kkc-config
  MODULE ${KKC_CONFIG_SRCS})

add_definitions(-DQT_NO_KEYWORDS -std=c++11)

set_target_properties(fcitx-kkc-config PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
)
target_link_libraries(fcitx-kkc-config
  debug ${QT_QTCORE_LIBRARY_DEBUG}
  debug ${QT_QTDBUS_LIBRARY_DEBUG}
  debug ${QT_QTGUI_LIBRARY_DEBUG}
  optimized ${QT_QTCORE_LIBRARY_RELEASE}
  optimized ${QT_QTDBUS_LIBRARY_RELEASE}
  optimized ${QT_QTGUI_LIBRARY_RELEASE}
  ${FCITX_QT_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${LIBKKC_LIBRARIES}
  )

install(TARGETS fcitx-kkc-config DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== po/CMakeLists.txt ===
# Add language code here each language code should correspond to a
# [language].po file in this directory.
set(PO_LANGS de ja zh_CN zh_TW
  )
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()

# This will register a pot target to update your po and pot files according to
# your source files, targets to compile and install po files into mo
# files as well as merging necessary translation into certain files.
# You can use `make pot` to extract strings to be translated from your source
# files.
fcitx_translate_set_pot_target(pot fcitx-kkc fcitx-kkc.pot
  # uncomment the following line and set to your email address.
  # BUGADDR your-email@address.com
  )

=== src/CMakeLists.txt ===
# Source files
set(fcitx_kkc_sources
  kkc-config.c
  kkc.c
  )

# See document in FcitxMacro.cmake and the kkc .fxaddon file
# doc/fcitx-kkc.fxaddon in the fcitx repo for more information.
fcitx_add_addon_full(kkc
  DESC # Use configdesc file
  SCAN # Generate api header
  SCAN_PRIV # Generate addfunction header
  IM_CONFIG kkc.conf
  # HEADER_DIR alternative_name # change dir name your header is installed
  # LIB_NAME lib_name # module file name (without extension)
  # HEADERS headers.h # extra public headers to install
  # EXTRA_PO extra_files # extra files to translate
  LINK_LIBS ${LIBKKC_LIBRARIES} ${GLIB2_LIBRARIES}
  SOURCES ${fcitx_kkc_sources})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dictionary_list.in ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list rule DESTINATION "${FCITX4_PREFIX}/share/fcitx/kkc")

=== debian/changelog ===
fcitx-kkc (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #784243)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Mon, 04 May 2015 00:44:29 +0900

=== debian/control ===
Source: fcitx-kkc
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Mitsuya Shibata <mty.shibata@gmail.com>
Build-Depends: debhelper (>= 9),
               cmake,
               intltool,
               pkg-config,
               libqt4-dev,
               fcitx-libs-dev (>= 1:4.2.8),
               fcitx-bin (>= 1:4.2.8),
               libglib2.0-dev,
               libjson-glib-dev,
               libgee-0.8-dev,
               libkkc-dev
Standards-Version: 3.9.6
Homepage: https://fcitx-im.org/wiki/Fcitx
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-kkc.git
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-kkc.git

Package: fcitx-kkc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         fcitx-bin,
         fcitx-data (>= 1:4.2.6),
         fcitx-modules,
         libkkc2
Recommends: fcitx (>= 1:4.2.6)
Description: Fcitx wrapper for libkkc IM engine
 fcitx-kkc is a wrapper of libkkc IM engine for Fcitx.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.
 .
 This package provides fcitx module for libkkc.

Package: fcitx-kkc-dev
Architecture: all
Depends: fcitx-kkc, ${misc:Depends}
Description: Fcitx wrapper for libkkc - library development files
 fcitx-kkc is a wrapper of libkkc IM engine for Fcitx.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.
 .
 This package provides the library development files.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

# Fcitx addon is a shared object, but isn't system library
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fcitx-kkc-$1\.tar\.gz/ \
        https://github.com/fcitx/fcitx-kkc/tags .*/v?(\d\S*)\.tar\.gz

## fcitx-kkc 0.1.4

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # Add language code here each language code should correspond to a
 # [language].po file in this directory.
-set(PO_LANGS de ja zh_CN zh_TW
-  )
-foreach(lang ${PO_LANGS})
-  fcitx_translate_add_po_file("${lang}" "${lang}.po")
+file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)
+
+foreach(po_file ${PO_FILES})
+  string(REPLACE ".po" "" po_lang "${po_file}")
+  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
 endforeach()
 
 # This will register a pot target to update your po and pot files according to

=== debian/changelog ===
fcitx-kkc (0.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112895)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 22:06:58 +0300

fcitx-kkc (0.1.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Update homepage field to project on GitHub.
    + Use "Rules-Requires-Root: no".
    + Add Conflicts: fcitx5-kkc. (See #998725)

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 13:10:48 -0500

fcitx-kkc (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to ensure rebuild on Debian buildd.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.
  * debian/patches: 0003: Fix a typo in the patch file.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Sep 2019 10:28:43 -0400

fcitx-kkc (0.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Migrate away from Qt4. (Closes: #874869)
  * debian: Apply "wrap-and-sort -abst".
  * d/control:
    + Set maintainer to debian-input-method mailing list to finish
      its Alioth migration. (Closes: #899929)
    + Point Vcs fields to git repository on Salsa platform.
    + Bump Standards-Version to 4.1.5. (no changes needed)
    + Bump debhelper compat to v11.
    + Use migrated gitlab.com project url as homepage.
  * d/copyright: Refresh information.
  * d/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".
  * d/patches: Backport patches till 2018-03-19.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Jul 2018 18:41:07 +0800

=== debian/control ===
Source: fcitx-kkc
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Mitsuya Shibata <mty.shibata@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin (>= 1:4.2.8),
 fcitx-libs-dev (>= 1:4.2.8),
 intltool,
 libfcitx-qt5-dev,
 libgee-0.8-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libkkc-dev,
 pkg-config,
 qtbase5-dev (>= 5.7),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx-kkc
Vcs-Browser: https://salsa.debian.org/debian/fcitx-kkc
Vcs-Git: https://salsa.debian.org/debian/fcitx-kkc.git

Package: fcitx-kkc
Architecture: any
Multi-Arch: same
Depends:
 fcitx-bin,
 fcitx-data (>= 1:4.2.6),
 fcitx-modules,
 libkkc2,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.6),
Conflicts:
 fcitx5-kkc,
Description: Fcitx wrapper for libkkc IM engine
 fcitx-kkc is a wrapper of libkkc IM engine for Fcitx.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.
 .
 This package provides fcitx module for libkkc.

Package: fcitx-kkc-dev
Architecture: all
Depends:
 fcitx-kkc,
 ${misc:Depends},
Description: Fcitx wrapper for libkkc - library development files
 fcitx-kkc is a wrapper of libkkc IM engine for Fcitx.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.
 .
 This package provides the library development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =
export QT_SELECT := 5

%:
	dh $@

# Fcitx addon is a shared object, but isn't system library
override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-kkc/ \
 fcitx-kkc-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
